Video edit: create an edit task from a video + reference images + instruction
curl --request POST \
--url https://api.apiyi.com/wan/api/v1/services/aigc/video-generation/video-synthesis \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-DashScope-Async: <x-dashscope-async>' \
--data @- <<EOF
{
"model": "wan2.7-videoedit",
"input": {
"prompt": "Replace the girl's outfit in the video with the outfit in the image",
"media": [
{
"type": "video",
"url": "https://your-cdn.com/source.mp4"
},
{
"type": "reference_image",
"url": "https://your-cdn.com/new-clothes.png"
}
]
}
}
EOFimport requests
url = "https://api.apiyi.com/wan/api/v1/services/aigc/video-generation/video-synthesis"
payload = {
"model": "wan2.7-videoedit",
"input": {
"prompt": "Replace the girl's outfit in the video with the outfit in the image",
"media": [
{
"type": "video",
"url": "https://your-cdn.com/source.mp4"
},
{
"type": "reference_image",
"url": "https://your-cdn.com/new-clothes.png"
}
]
}
}
headers = {
"X-DashScope-Async": "<x-dashscope-async>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-DashScope-Async': '<x-dashscope-async>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
model: 'wan2.7-videoedit',
input: {
prompt: 'Replace the girl\'s outfit in the video with the outfit in the image',
media: [
{type: 'video', url: 'https://your-cdn.com/source.mp4'},
{type: 'reference_image', url: 'https://your-cdn.com/new-clothes.png'}
]
}
})
};
fetch('https://api.apiyi.com/wan/api/v1/services/aigc/video-generation/video-synthesis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"output": {
"task_id": "3b216861-6a5f-441d-a438-602ab2c0d103",
"task_status": "PENDING"
},
"request_id": "..."
}Wan2.7動画生成(Alibaba Cloud)
Wan2.7 動画編集 API リファレンス
Wan2.7-videoedit の動画編集 API リファレンスとライブプレイグラウンド: 入力動画 + 参照画像 + 自然言語の指示で、衣装の差し替えや背景の差し替えなどのローカル/グローバル編集を行えます。
POST
/
wan
/
api
/
v1
/
services
/
aigc
/
video-generation
/
video-synthesis
Video edit: create an edit task from a video + reference images + instruction
右側の Playground では直接デバッグできます:
Bearer sk-your-api-key を Authorization に入れ、model / input.media / parameters を入力して、リクエストを送信します。送信が成功すると task_id が返されます。ポーリングとダウンロードについては下記を参照してください。このページは
wan2.7-videoedit(動画編集)の作成エンドポイントです。動画 + 1〜5 枚の参照画像 + 自然言語の編集指示を与えて、衣装や背景の差し替えなどの動画要素を編集します。モデル名にはハイフンがありません(videoedit)。非同期フロー全体については、Wan 概要を参照してください。input.mediaには、編集対象のvideoと少なくとも 1 つのreference_image(参照アセット、≤5)の両方を含める必要があります。- モデル名は
wan2.7-videoedit(ハイフンなし)で、HappyHorse のhappyhorse-1.0-video-edit(ハイフンあり)とは異なるため、混同しないでください。 - 作成リクエストは
/wan/api/v1/...にX-DashScope-Async: enableを付けて送ります。/v1/videosは使用しないでください。
コード例
curl -X POST "https://api.apiyi.com/wan/api/v1/services/aigc/video-generation/video-synthesis" \
-H "X-DashScope-Async: enable" \
-H "Authorization: Bearer sk-your-api-key" \
-H "Content-Type: application/json" \
-d '{
"model": "wan2.7-videoedit",
"input": {
"prompt": "Replace the girl's outfit in the video with the outfit in the image",
"media": [
{"type": "video", "url": "https://your-cdn.com/source.mp4"},
{"type": "reference_image", "url": "https://your-cdn.com/new-clothes.png"}
]
},
"parameters": {"resolution": "720P", "prompt_extend": true, "watermark": true}
}'
import requests
url = "https://api.apiyi.com/wan/api/v1/services/aigc/video-generation/video-synthesis"
headers = {
"Authorization": "Bearer sk-your-api-key",
"Content-Type": "application/json",
"X-DashScope-Async": "enable",
}
body = {
"model": "wan2.7-videoedit",
"input": {
"prompt": "Replace the girl's outfit in the video with the outfit in the image",
"media": [
{"type": "video", "url": "https://your-cdn.com/source.mp4"},
{"type": "reference_image", "url": "https://your-cdn.com/new-clothes.png"},
],
},
"parameters": {"resolution": "720P", "prompt_extend": True, "watermark": True},
}
resp = requests.post(url, json=body, headers=headers, timeout=30)
print("task_id:", resp.json()["output"]["task_id"])
import requests
# Up to 5 reference_image for finer local/global edits
body = {
"model": "wan2.7-videoedit",
"input": {
"prompt": "Replace the background in the video with the seaside in image 1, and change the character's outfit to image 2",
"media": [
{"type": "video", "url": "https://your-cdn.com/source.mp4"},
{"type": "reference_image", "url": "https://your-cdn.com/beach.png"},
{"type": "reference_image", "url": "https://your-cdn.com/outfit.png"},
],
},
"parameters": {"resolution": "720P", "prompt_extend": True},
}
resp = requests.post(
"https://api.apiyi.com/wan/api/v1/services/aigc/video-generation/video-synthesis",
json=body,
headers={"Authorization": "Bearer sk-your-api-key", "Content-Type": "application/json",
"X-DashScope-Async": "enable"},
timeout=30,
)
print(resp.json()["output"]["task_id"])
パラメータとメディアのクイックリファレンス
| パラメータ | 種類 | 必須 | デフォルト | 備考 |
|---|---|---|---|---|
model | string | ✓ | — | 固定のwan2.7-videoedit |
input.prompt | string | ✓ | — | 自然言語の編集指示 |
input.media | array | ✓ | — | 下のメディア表を参照 |
parameters.resolution | string | 720P | 720P / 1080P | |
parameters.prompt_extend | bool | true | スマートな書き換え | |
parameters.watermark | bool | false | 「AI generated」透かし |
media[] の値
type | 必須 | 件数 | 備考 |
|---|---|---|---|
video | ✓ | 1 | 編集対象の元動画 |
reference_image | ✓ | 1-5 | 参照アセット(新しい服装、新しい背景など) |
動画編集の出力尺は入力動画に従い、
durationパラメータではなく、そのためこの機能では通常durationを渡しません。応答形式
{
"output": { "task_id": "3b216861-6a5f-441d-a438-602ab2c0d103", "task_status": "PENDING" },
"request_id": "..."
}
ステータス確認とダウンロード
task_id を入手したら、ステータスをポーリングして mp4 をダウンロードするには、次の 3 ステップに従います:
- ポーリング
GET /v1/tasks/{task_id}(Authorization付き。クエリにはX-DashScope-Asyncヘッダーは不要です)を、5〜10 秒ごと(3 秒未満は不可)に実行し、statusがcompletedになるまで続けます。 - ステータス値:
submitted(queued)/in_progress(generating;progressが 30% で止まっていることが多いのは正常です)/completed(success)/failed(errorを確認)。 - ダウンロード: レスポンスから
result_urlを直接 GET します。Authorizationヘッダーなしで(これは OSS の署名付き直接リンクです — Auth を送ると 403 が返ります)。result_urlは既定で 24 時間 で期限切れになるため、すぐに保存してください。
curl "https://api.apiyi.com/v1/tasks/3b216861-6a5f-441d-a438-602ab2c0d103" \
-H "Authorization: Bearer sk-your-api-key"
{
"status": "completed",
"progress": 100,
"result_url": "https://dashscope-result-xxx.oss-cn-beijing.aliyuncs.com/xxx.mp4?Expires=...&Signature=...",
"task_id": "3b216861-6a5f-441d-a438-602ab2c0d103"
}
# result_url is an OSS signed direct link — do NOT send the Authorization header (it returns 403)
curl -L -o out.mp4 "https://dashscope-result-xxx.oss-cn-beijing.aliyuncs.com/xxx.mp4?Expires=...&Signature=..."
TASK_ID="3b216861-6a5f-441d-a438-602ab2c0d103"
URL=$(curl -s "https://api.apiyi.com/v1/tasks/$TASK_ID" \
-H "Authorization: Bearer sk-your-api-key" | jq -r '.result_url')
curl -L -o out.mp4 "$URL" # no Authorization
上記は、「すでに task_id がある」場合のチェック/ダウンロード用のクイックパスです。タイムアウトのフォールバックを含む完全なポーリングループと Python クライアントについては、Wan の概要 · 非同期呼び出しフロー を参照してください。
承認
The API Key obtained from the APIYI console
ヘッダー
Async processing switch; must be set to enable
利用可能なオプション:
enable ボディ
application/json
このページは役に立ちましたか?
⌘I